//PlaneWaveMenuPanel.java
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;  

public class PlaneWaveMenuPanel extends Panel{
    //private static final Color bgcolor = Color.lightGray;
    private static final Color bgcolor = new Color(236,236,236);
    //public Button b1, b2, b3;
    public Checkbox EHbox, SDbox;
    public boolean show_delta;
    public Scrollbar slider1;
    public int SCROLLMIN=750, SCROLLMAX=1001;
    //private int SleepTime = 50;
    public Choice c1;
        
    public PlaneWaveMenuPanel(){
	super();
        setLayout(null);
	setBackground(bgcolor);
        
        show_delta = false;
        
        //c1 = new Choice();
        //c1.addItem(" Input/Output");
        //c1.addItem(" Phase Planes");
        //c1.addItem(" Instructions");
        //add(c1);
        //c1.setBounds(5,15,195,20);
        
	//b1 = new Button("General Input");
        //b1.setBackground(Color.white);
	//b2 = new Button("Examples");
	//b2.setBackground(Color.white);
        //b3 = new Button("Instructions");
        //b3.setBackground(Color.white);
	//add(b1);
	//add(b2);
	//add(b3);
        
        EHbox = new Checkbox(" Envelope",null,true);
        SDbox = new Checkbox("",null,true);
        //SDbox.setEnabled(false);
        SDbox.setVisible(false);
                
	add(EHbox);
	EHbox.setBackground(bgcolor);
        add(SDbox);
	SDbox.setBackground(bgcolor);       
        
        //b2.setBounds(5,3,95,20);
        //b1.setBounds(105,3,95,20);
        //b3.setBounds(205,3,95,20);
        EHbox.setBounds(20,29,100,20);
        SDbox.setBounds(120,29,20,20);
        
        slider1 = new Scrollbar(Scrollbar.HORIZONTAL,950,1,750,1001);
	slider1.setBounds(7,28,190,15);
	//add(slider1);
        Panel p1 = new Panel();
	    p1.setBackground(Color.black);
	    //add(p1);
	    p1.setBounds(6,27,192,17);
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor);	
	g.fillRect(0,0,getSize().width-1,getSize().height-1);
	
        
        Graphics2D g2d = (Graphics2D)g;
        g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
            
        g.setColor(Color.black);
        //if(show_delta){
          //  MaestroG.subscripter4delta("Show ","\u03b4","s","",g,12,140,42);
        //}
    }
}